var $$ = Dom7;
var app = new Framework7({
    theme:'ios',
    // App root element
    root: '#app',
    // App Name
    name: 'My App',
    // App id
    id: 'com.myapp.test',
    // Enable swipe panel
    panel: {
        swipe: 'left',
    },
    dialog:{
        buttonOk: '好的(OK)',
        buttonCancel:'取消(Cancel)'
    },
    precompileTemplates: true,
    // Add default routes
    routes: routes,
    // ... other parameters
    on:{
        pageInit:function (e) {
            console.log(e.route.path)
            currPageName = e.route.path;
        },
    }

});
var languageFlag = 'zh';
var languageData = [
    {En:'Username',Cn:'请输入账号'},
    {En:'Password',Cn:'密码'},
    {En:'Remember password',Cn:'记住密码'},
    {En:'Reset',Cn:'忘记密码'},
    {En:'LOGIN',Cn:'登录'},
    {En:'Scan code to download APP',Cn:'扫码下载APP'},
    {En:'Scan code attention WeChat public number',Cn:'扫码关注公众号'},
    {En:'Copyright',Cn:'版权所有'},
    {En:'HUNAN HUACHENZHITONG TECHNOLOGY CO., LTD',Cn:'湖南华辰智通科技有限公司'},
    {En:'HOTLINE',Cn:'全国热线'},
    {En:'FAX',Cn:'传真'},
    {En:'Reset password',Cn:'重置密码'},
    {En:'Username',Cn:'用户名'},
    {En:'Phone',Cn:'手机号'},
    {En:'Captcha',Cn:'验证码'},
    {En:'GET',Cn:'获取验证码'},
    {En:'New password',Cn:'新密码'},
    {En:'OK',Cn:'确定'},
    {En:'Cancel',Cn:'取消'},
    {En:'The username cannot be empty',Cn:'用户名不能为空'},
    {En:'The password cannot be empty',Cn:'密码不能为空'},
    {En:'Incorrect username or password',Cn:'账号或密码错误'},
    {En:'The username cannot be empty',Cn:'请填写用户名'},
    {En:'The telephone-number cannot be empty',Cn:'请填写手机号'},
    {En:'Please fill in the correct mobile phone number',Cn:'请填写正确的手机号'},
    {En:'Please fill in the verification code',Cn:'请填写验证码'},
    {En:'Please fill in a new password',Cn:'请填写新密码'},
    {En:'Mobile phone number or user name information error',Cn:'手机号或用户名信息错误，请您核对！'},
    {En:'OK',Cn:'好的'}
];//存放语言对照表

//触发登录
$$(document).on('click', '.loginBtn', function (e) {
    params = app.form.convertToData('#login-form');
    params.remember = 'true';
    var remember = $$('#remember')[0].checked;
    if(remember){
        PASSWORD = params.PASSWORD;
        localStorage.setItem('PASSWORD',PASSWORD);
    }

    ajax(HOST + '/?s=App/User/Login','POST',params,function (data) {
        var language = $$(".segmented-btn .button-active").attr("language");
        var type = data.data.USER_TYPE;
        console.info(type+'eeeeeeeeeee')
        localStorage.lang = language;
        if(type == 1){
            if(localStorage.lang=='zh'){
                console.log('8888888888')
            }else if(localStorage.lang==''||localStorage.lang=='en'){
                console.log('99999999999')
                ajax(HOST + '/?s=App.System.GetLanguage','POST',function (data) {
                    if(typeof data == "string"){
                        data = JSON.parse(data);
                    }
                    if (data.ret == 200) {
                        console.info('语言资源',typeof data.data);
                        languageData = data.data;
                        // localStorage.languageData = JSON.stringify(languageData);
                        // USER_INFO.lang = JSON.parse(localStorage.languageData)
                        // console.info("本地",USER_INFO.lang)
                        languageChange($$("html"))
                    }
                })
            }
        }else if(type == 2){
            if(localStorage.lang=='en'){
                console.log('99999999999')
                ajax(HOST + '/?s=App.System.GetLanguage','POST',function (data) {
                    if(typeof data == "string"){
                        data = JSON.parse(data);
                    }
                    if (data.ret == 200) {
                        console.info('语言资源',typeof data.data);
                        languageData = data.data;
                        // localStorage.languageData = JSON.stringify(languageData);
                        // USER_INFO.lang = JSON.parse(localStorage.languageData)
                        // console.info("本地",USER_INFO.lang)
                        languageChange($$("html"))
                    }
                })
            }
        }else if(data.ret == 101){
            var toastCenter = app.toast.create({
                text: TLC(data.msg),
                position: 'center',
                closeTimeout: 2000,
            });
            toastCenter.open(); 
        }
        // var toastCenter = app.toast.create({
        //     text: data.msg,
        //     position: 'center',
        //     closeTimeout: 2000,
        // });
        // toastCenter.open();
        getOauth(true); //判断是否有权限

        $$('.tab-link').removeClass('tab-link-active')
        $$('.tab-link .tab_img').css('display','');
        $$('.tab-link .tab_img_on').css('display','none');

        $$('.tab_index').addClass('tab-link-active')
        $$('.tab_index .tab_img').css('display','none');
        $$('.tab_index .tab_img_on').css('display','');
    });
});

// 文本语言切换
function TLC(string){
    //console.info('原始数据：',string)
    var data = [];
    if(languageFlag=="zh"){
        return string
    }
    else if(languageFlag=="en"){
        if(languageData.length>0){
            data = languageData
        }
        else{
            data = languageData_1
        }
        for(var i in data){
            if(data[i].Cn == string){
                //console.info('TLC:',data[i].En)
                return  data[i].En
            }
        }
        return string
    }
    else{
        return string
    }
}

function triggerLanguageChange(el,Language){
    console.log('555555555555')
    languageFlag = Language;
    $$(".segmented-btn .button").removeClass('button-active');
    $$(el).addClass('button-active');
    if(Language == 'zh'){
        console.info("pppppppppppp")
        // location.reload()
        $$("#USERNAME").attr("placeholder","用户名");
        $$("#PASSWORD").attr("placeholder","密码");
        $$(".rember").text("记住密码");
        $$(".loginBtn").text("登录");
        $$(".login-title").text("思普云移动设备专家");
    }
    else if(Language == 'en'){
        console.info(Language)
        // $(".suspension").addClass('hidden')
        $$(".login-title").text("Super Cloud");
        languageChange($$("html"));//切换语言
    }
}
//切换语言
function languageChange(element){
    // console.info('element:',element);
    if(element.children().length>0){
        for(var i=0; i<element.children().length; i++){
            languageChange($$(element.children()[i]))
        }
    }
    else{
        if(!element.is('script')){
            // console.info(element.text());
            for(var i in languageData){
                if(languageData[i].Cn == element.text()){
                    element.text(languageData[i].En)
                }
            }
        }
        if(element.is('input')){
            if(element.attr("placeholder")){
                console.info(element.attr("placeholder"))
                for(var i in languageData){
                    if(languageData[i].Cn == element.attr("placeholder")){
                        element.attr("placeholder",languageData[i].En)
                    }
                }
            }
        }
    }
}

var mainView = app.views.create('.view-main', {
    dynamicNavbar: true
})

//document.addEventListener("deviceready", onDeviceReady, false);
//function onDeviceReady(){
//
//}

var WIN_HEIGHT = $$(window).height();

//全局变量
var HOST = 'http://iot.idosp.net';
var Domain = 'iot.idosp.net';

var websocketURL = '';
var DEVICES = [];
var DATA = {}; //存放设备数据（按产品）
var SWIPER = []; //首页轮播数据
var SWIPER_Max = 3;
var VERSION = 'V1.1.9';
var REG = {
    tel :/^1[3456789][0-9]{9}$/
}
var PASSWORD = '';
var currPageName = '/login/';

getDevices()

// var isSupportDownload = 'download' in document.createElement('a');
// alert('是否支持下载')
// alert(isSupportDownload)


//切换tab状态跟踪
$$('.tab-link').on('click',function (e) {
    $$('.tab-link').removeClass('tab-link-active')
    $$('.tab-link .tab_img').css('display','');
    $$('.tab-link .tab_img_on').css('display','none');
    $$(this).addClass('tab-link-active')
    $$(this).find('.tab_img').css('display','none');
    $$(this).find('.tab_img_on').css('display','');
})

//获取设备列表
function getDevices() {
    ajax(HOST + '/?service=App.Product.DeviceListSearch', 'GET', {}, function (data) {
        for (var i in data.data) {
            var children = data.data[i].children;
            var n = 0;
            for (var m in children) {
                DEVICES.push(children[m]);
            }
        }
        DATA = data;
        getOauth(false)
    })
}

//使sort排序按照大小
function sequence(a,b){
    a = parseInt(a);
    b = parseInt(b);
    if (a>b) {
        return 1;
    }else if(a<b){
        return -1
    }else{
        return 0;
    }
}

function setUserState(status) {
    var s = 1;
    if(typeof status !== 'undefined'){
        s = status
    }

    ajax(HOST + '/?service=App.User.AppUserState&STATUS=' + s + '&VERSION=' + VERSION + '&CUS_ID=' + USER_INFO.CUS_ID + '&USER_ID=' + USER_INFO.USER_ID, 'POST', {}, function (data) {

    })
}

/**
 * 封装ajax
 * @param url 请求地址
 * @param type 请求类型 get、post
 * @param data 请求数据
 * @param callback  回调函数，匿名函数
 */
function ajax(url,type,data,callback) {
    if(type.toUpperCase() === 'POST'){
        app.request.post(url,data, exportFunction);
    }

    if(type.toUpperCase() === 'GET'){
        app.request.get(url,data, exportFunction);
    }

    function exportFunction(res) {  //出口函数，对返回值进行统一处理
        if(typeof res === "string"){
            res = JSON.parse(res);
        }

        if(res.ret == 200){  //succ
            callback(res);
        }
        else if(res.ret == 101){  //fail
            var toastCenter = app.toast.create({
                text: res.msg,
                position: 'center',
                closeTimeout: 2000,
            });
            toastCenter.open();
        }
        else if(res.ret == 108){  //登录过期
            mainView.router.navigate('/login/')
        }
    }
}


var USER_INFO = {
    NAME:"",//用户名
    USER_ID:"",//用户ID
    USER_TYPE:"",//用户类型
    token:"",//秘钥
    ROLE_ID:"",//角色ID
    ROLE_NAME:"", //角色名
    CUS_ID:"",
    APP_MENU:[]
};//用户信息

var text = {// 字体颜色(离线、在线、预警、报警)
    "online":{
        status: "1",
        status_c: "在线",
        state_color: "#5cb85c",
        icon_i: 'images/mark_online.png'
    },
    "offline":{
        status: "0",
        status_c: "离线",
        state_color: "gray",
        icon_i:'images/mark_offline.png'
    }
};

var FROM = '';  //页面来源，用于控制back路由地址


/*初始化权限*/
function getOauth(isAuth){
    app.request.get(HOST + "/?service=App.SystemInside.IndexOauth",{}, function (res) {
        if(typeof res === "string"){
            res = JSON.parse(res);
        }

        if(res.ret == 200){  //succ
            initDB(res.data[0].USER_ID)
            //存放用户信息
            USER_INFO.NAME = res.data[0].NAME;
            USER_INFO.USER_ID = res.data[0].USER_ID;
            USER_INFO.USER_TYPE = res.data[0].USER_TYPE;
            USER_INFO.token = res.data[0].token;
            USER_INFO.ROLE_ID = res.data[0].ROLE_ID;
            USER_INFO.ROLE_NAME = res.data[0].ROLE_NAME;
            USER_INFO.CUS_ID = res.data[0].CUS_ID;
            USER_INFO.APP_MENU = res.data[0].app_menu_array;

            websocketURL = res.data[0].websocketURL

            localStorage.setItem('NAME',res.data[0].NAME);
            console.log(currPageName)
            if(currPageName == '/login/' || currPageName == '/app/' || currPageName == '/android_asset/www/index.html') {
                mainView.router.navigate('/gis/')
                //mainView.router.navigate('/knowledgeCategory/')
            }

            // 启用websocket获取(设备实时状态、实时数据、实时位置等信息)
            connectWebsockt();
            connectMsgWebsockt();

            initMenu();
            setUserState(1);

            //isAuth调用接口只是为了验证是否有权限
            if (!isAuth &&!app.device.ios) {
                getVersion();
            }
        }
        else if(res.ret == 101){  //fail
            var toastCenter = app.toast.create({
                text: res.msg,
                position: 'center',
                closeTimeout: 2000,
            });
            toastCenter.open();
        }
        else if(res.ret == 108){  //登录过期
            mainView.router.navigate('/login/')
        }
    })
}

var userStateInterval;
if(USER_INFO.ROLE_ID !== ''){
    userStateInterval = window.setInterval(setUserState,10000)
}


/*判断版本号*/
function getVersion() {
    ajax(HOST + "/?s=App.SystemInside.GetDictList&TYPE=app_version",'get',{},function (data) {
        if(data.data.length > 0){
            if (VERSION !== data.data[0].VALUE) {  //需要更新
                app.dialog.confirm(TLC('检测到新版本，是否前往下载?'),TLC('温馨提示'), function () {
                    window.location.href = HOST+'/download/android/sp_cloud.apk'
                });
                
            }
            
        }
    })
}


var refreshProduce_handle = function(data){};
//刷新个人信息
function refreshUser() {
    ajax(HOST + "/?service=App.SystemInside.IndexOauth",'get',{},function (data) {
        //存放用户信息
        USER_INFO.NAME = data.data[0].NAME;
        USER_INFO.USER_ID = data.data[0].USER_ID;
        USER_INFO.USER_TYPE = data.data[0].USER_TYPE;
        USER_INFO.token = data.data[0].token;
        USER_INFO.ROLE_ID = data.data[0].ROLE_ID;
        USER_INFO.ROLE_TYPE = data.data[0].ROLE_TYPE;
        USER_INFO.ROLE_NAME = data.data[0].ROLE_NAME;
        USER_INFO.CUS_ID = data.data[0].CUS_ID;
        USER_INFO.APP_MENU = data.data[0].app_menu_array;

        initMenu();
        refreshProduce_handle(data.data[0]);
    })
}

//控制tab菜单的显示与隐藏
function initMenu() {
    for(var i = 1; i < 9; i++){
        if(USER_INFO.APP_MENU.indexOf(i+'') < 0){
            $$('.menu_' + i).css('display','none')
        }
    }
}

function findNextMenu() {    //当没有实时监控页的权限时，向下寻找最近权限
    var menuText = [
        // {
        //     id:1,
        //     name:'GIS地图',
        //     pathName:''
        // },
        {
            id:9,
            name:'实时视频',
            pathName:'deviceVideo'
        },
        {
            id:6,
            name:'实时组态',
            pathName:'deviceScada'
        },
        {
            id:3,
            name:'历史数据',
            pathName:'deviceHistory'
        },
        // {
        //     id:2,
        //     name:'实时监控',
        //     pathName:'deviceMonitor'
        // },
        {
            id:5,
            name:'历史故障',
            pathName:'deviceHistorywarning'
        },
        {
            id:4,
            name:'远程控制',
            pathName:'deviceControl'
        }
    ]

    for(var i in menuText){
        if(USER_INFO.APP_MENU(menuText[i].id)){
            return menuText[i].pathName;
        }
    }

    return;
}

// 验证布尔量说明的格式
function validate_booleanExplain(string) {
    var result = false;
    if (string.indexOf("0:") == 0 && string.indexOf("|1:") != 0 && string.indexOf("|1:") != -1) {
        result = true;
    }
    return result;
}

// 布尔量说明格式转换
function booleanExplain_to_object(string){
    var result = {};
    var array = string.split("|")
    for(var i in array){
        if(array[i].split(':')[0]==0){
            result[0] = array[i].split(':')[1]
        }
        if(array[i].split(':')[0]==1){
            result[1] = array[i].split(':')[1]
        }
    }
    //console.info(result)
    return result;
}

//
// //极光推送
// function onDeviceReady() {
//     document.addEventListener("jpush.receiveRegistrationId", function (event) {
//         alert("receiveRegistrationId" + JSON.stringify(event));
//     }, false)
//
//     initiateUI();
// };
//
// var getRegistrationID = function() {
//     window.JPush.getRegistrationID(onGetRegistrationID);
// };
//
// var onGetRegistrationID = function(data) {
//     try {
//         alert("JPushPlugin:registrationID is " + data);
//
//         if (data.length == 0) {
//             var t1 = window.setTimeout(getRegistrationID, 2000);
//         }
//
//     } catch (exception) {
//         alert("exception:"+exception);
//     }
// };
//
//
// var onOpenNotification = function(event) {
//     try {
//         var alertContent;
//         if (device.platform == "Android") {
//             alertContent = event.alert;
//         } else {
//             alertContent = event.aps.alert;
//         }
//         alert("open Notification:" + alertContent);
//     } catch (exception) {
//         alert("JPushPlugin:onOpenNotification" + exception);
//     }
// };
//
// var onReceiveNotification = function(event) {
//     try {
//         var alertContent;
//         if (device.platform == "Android") {
//             alertContent = event.alert;
//         } else {
//             alertContent = event.aps.alert;
//         }
//     } catch (exception) {
//         alert("JPushPlugin:onReceiveNotification" + exception);
//     }
// };
//
// var onReceiveMessage = function(event) {
//     try {
//         var message;
//         if (device.platform == "Android") {
//             message = event.message;
//         } else {
//             message = event.content;
//         }
//        alert("msg:"+message);
//     } catch (exception) {
//         console.log("JPushPlugin:onReceiveMessage-->" + exception);
//     }
// };
//
//
// var initiateUI = function() {
//     try {
//         window.JPush.init();
//         window.JPush.setDebugMode(true);
//         window.setTimeout(getRegistrationID, 1000);
//
//         if (device.platform != "Android") {
//             window.JPush.setApplicationIconBadgeNumber(0);
//         }
//     } catch (exception) {
//         console.log(exception);
//     }
// };
//
// document.addEventListener("deviceready", onDeviceReady, false);
// document.addEventListener("jpush.openNotification", onOpenNotification, false);
// document.addEventListener("jpush.receiveNotification", onReceiveNotification, false);
// document.addEventListener("jpush.receiveMessage", onReceiveMessage, false);


var realdata_handle = function(data){console.log('设备ws handle',data);};
var msgdata_handle = function(data){console.log("消息ws handle",data);};


// 连接websocket
var deviceWebsocket = null;
var deviceHeartBeat = "";    //心跳检测初始时间戳
function connectWebsockt(){
    if(!(!!window.WebSocket && window.WebSocket.prototype.send)){
        app.dialog.alert('您的手机暂不支持实时通讯,无法使用实时数据、远程控制等功能');
        return;
    }
    if(deviceWebsocket !== null){  //已连接
        return;
    }
    deviceWebsocket = new WebSocket("ws://"+websocketURL);
    var sendMessage = {
        "token":USER_INFO.token,
        "USER_ID":USER_INFO.USER_ID,
        "USER_TYPE":USER_INFO.USER_TYPE
    };
    var devicePong = 0;
    sendMessage = JSON.stringify(sendMessage);
    deviceWebsocket.onopen = function(evt) {
        deviceWebsocket.send(sendMessage);
    };
    deviceWebsocket.onclose = function(evt) { //异常关闭，需自动重连  //退出登录，不自动重连
        deviceWebsocket = null;
        connectWebsockt();
    };
    deviceWebsocket.onmessage = function(msg) {
        var data = JSON.parse(msg.data);

        if(devicePong > 0 && data.HeartBeat){
            deviceHeartBeat = data.HeartBeat
        }

        if (data.ex) {
            if(data.ex == "ex_idosp_note"){
                if(data.Event == "error"){
                    return;
                }
                for(var i in DEVICES){    //遍历所有设备
                    if(DEVICES[i].Pro_ID == data.Did){    //找到状态发生变化的设备
                         var obj = {};
                         obj.info = data.Time + ' ' + DEVICES[i].pro_name +" 状态变更为 【" + text[data.Event].status_c + "】";
                         obj.status = text[data.Event].status;
                        SWIPER.unshift(obj)
                        DEVICES[i].status_c = text[data.Event].status_c; // 变更状态
                        DEVICES[i].status = obj.status; // 变更状态
                        break;
                    }
                }
            }
            else if(data.ex == "ex_idosp_location"){
                if(data.Event == "error"){
                    return;
                }
                for(var i in DEVICES){    //遍历所有设备
                    if(DEVICES[i].Pro_ID == data.Did){    //找到位置发生变化的设备
                        var obj = {};
                        obj.info = data.Time + ' ' + DEVICES[i].pro_name + " 位置发生变化";
                        obj.status = DEVICES[i].status;
                        SWIPER.unshift(obj)
                        DEVICES[i].LATITUDE = data.Message.Lat;
                        DEVICES[i].LONGITUDE = data.Message.Long;
                    }
                }
            }
            else if(data.ex == "ex_idosp_alarm"){
                //添加报警信息
                var type_text = ["预警","报警","恢复正常"];//0:预警 1:报警  2:恢复正常   其它:判断异常
                var type_status = ["2","3","1"];
                var type_status_c = ["预警","报警","在线"];
                var status_text = {
                    "L": "低",
                    "LL": "低",
                    "H": "高",
                    "HH": "高",
                    "TV": "触发",
                    "N": "恢复正常",
                    "E": "异常"
                };
                for(var i in DEVICES){    //遍历所有设备
                    if(DEVICES[i].Pro_ID == data.Did){    //找到发生预报警的设备
                         var obj = {};
                         obj.time= timestampToTime(data.Time);
                         obj.pro_name= DEVICES[i].pro_name;
                         obj.type_c= type_text[data.Type];
                         obj.status_C= status_text[data.Status];
                         obj.value= data.Value;
                         obj.status = type_status[data.Type];
                         var point_table = JSON.parse(DEVICES[i].point_table);
                        for(var j=0; j< point_table.length; j++){
                            if(point_table[j].K == data.Key){
                                obj.N= point_table[j].N;
                                obj.U= point_table[j].U;
                                break;
                            }
                        }
                         //obj.info = obj.time +' ' + obj.pro_name+" "+obj.N+" "+obj.value+obj.U+" "+obj.status_C+obj.type_c;
                        var swiperObj = {}
                        swiperObj.info = obj.time +' ' + obj.pro_name+" "+obj.N+" "+obj.value+obj.U+" "+obj.type_c;
                        swiperObj.status = obj.status;

                        SWIPER.unshift(swiperObj)
                        DEVICES[i].status_c = type_status_c[data.Type]; // 变更状态
                        DEVICES[i].status =  obj.status; // 变更状态

                        if(data.Type == 1 || data.Type == 0){ //将报警1、预警0消息写入消息数据库
                            var alarm = {
                                msg_id:1,
                                type:data.Type == 0 ? "5" : "4",
                                type_c:type_status_c[data.Type],
                                create_at:obj.time,
                                content:swiperObj.info,
                                is_read:0,
                                is_deleted:0
                            }
                            method.add(alarm,function (addMsg) {

                            })
                            $$('#unread').css('display','')
                            msgdata_handle(data);
                        }
                    }
                }
            }
            realdata_handle(data);
        }else{
            console.info("接收数据：",data);
            if(data.Result||data.Result==0){
                console.info("验证数据");
                //验证数据
                if(data.Result == 0 && data.USER_ID){//用户链接websocket验证成功
                    console.info("用户验证通过，websocket链接成功");
                    fn_timer_heartBeat();
                    timer_heartBeat = setInterval(fn_timer_heartBeat,60000);
                }
                else{

                }
            }
            if(data.HeartBeat){
                //心跳检测
                deviceHeartBeat = data.HeartBeat;
            }
        }

    };
    deviceWebsocket.onerror = function(evt) {

    };
}

function fn_timer_heartBeat() {
    var timestamp = Date.parse(new Date())/1000;//获取当前时间戳
    console.info("当前时间戳：",timestamp);
    if(deviceHeartBeat == ""){
        deviceHeartBeat = timestamp;
    }
    var sendMessage = {
        "HeartBeat":timestamp
    };
    sendMessage = JSON.stringify(sendMessage);
    deviceWebsocket.send(sendMessage);//获取心跳检测
    console.info("心跳回应：",deviceHeartBeat);
    console.info(timestamp-deviceHeartBeat);
    if((timestamp-deviceHeartBeat)>180){
        //心跳超时
        console.info("心跳异常");
        deviceHeartBeat = "";
        window.clearInterval(timer_heartBeat);
        deviceWebsocket.close();
    }
    else{
        //心跳超时
        console.info("心跳正常");
    }
}

var msgWebsocket = null;
var msgHeartBeat = "";    //心跳检测初始时间戳
function connectMsgWebsockt() {
    if(!(!!window.WebSocket && window.WebSocket.prototype.send)){
        app.dialog.alert('您的手机暂不支持实时通讯,无法使用消息功能');
        return;
    }
    if(msgWebsocket !== null){  //已连接
        return;
    }
    var sendMsgMessage = {
        "token":USER_INFO.token,
        "USER_ID":USER_INFO.USER_ID,
        "USER_TYPE":USER_INFO.USER_TYPE,
        "type":'auth'
    };
    var Type = ['不限','系统消息','维修工单','保养工单','报警消息','预警消息','保养通知']
    sendMsgMessage = JSON.stringify(sendMsgMessage);
    msgWebsocket = new WebSocket("ws://websocket.idosp.net:9302");
    msgWebsocket.onopen = function(evt) {
        msgWebsocket.send(sendMsgMessage);
        fn_msg_timer_heartBeat();
        msg_timer_heartBeat = setInterval(fn_msg_timer_heartBeat,60000);
    }
    msgWebsocket.onmessage = function(msg) {
        if(msg === null || msg === ""){
            return;
        }
        var data = JSON.parse(msg.data);
        if(data.length < 1){
            return;
        }
        if(typeof data.T !== 'undefined'){
            msgHeartBeat = data.T;
        }

        if(data instanceof Array){
            for(var i = 0 ; i < data.length; i ++){
                var obj = {
                    msg_id:data[i].id,
                    type:data[i].type,
                    type_c:Type[data[i].type],
                    create_at:data[i].date,
                    content:data[i].content,
                    is_read:0,
                    is_deleted:0
                }
                method.add(obj,function (addMsg) {

                })
                $$('#unread').css('display','none')
            }
        }
        msgdata_handle(data);
    }
    msgWebsocket.onerror = function(evt) {

    },
    msgWebsocket.onclose = function(evt) {
        console.log('msg ws断开')
        msgWebsocket = null;
        connectMsgWebsockt()
    };
}

function fn_msg_timer_heartBeat() {
    var pong = {
        "type":'pong'
    }
    pong = JSON.stringify(pong);
    var timestamp = Date.parse(new Date())/1000;//获取当前时间戳
    console.info("当前时间戳：",timestamp);
    if(msgHeartBeat == ""){
        msgHeartBeat = timestamp;
    }
    msgWebsocket.send(pong);//获取心跳检测
    if((timestamp-msgHeartBeat)>180){
        //心跳超时
        console.info("心跳异常");
        msgHeartBeat = "";
        window.clearInterval(msg_timer_heartBeat);
        msgWebsocket.close();
    }
    else{
        //心跳超时
        console.info("心跳正常");
    }
}


function doFind(){
    method.findUnreadNum(function (data) {
        $$('#unread').text()
    })
}



// 十位时间戳转年月日时分秒
function timestampToTime(timestamp) {
    var date = new Date(timestamp * 1000);//时间戳为10位需*1000，时间戳为13位的话不需乘1000
    Y = date.getFullYear() + '-';
    M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1) + '-';
    D = (date.getDate() < 10 ? '0'+date.getDate() : date.getDate())  + ' ';
    h = date.getHours() + ':';
    m = (date.getMinutes() < 10 ? '0'+date.getMinutes() : date.getMinutes()) + ':';
    s = (date.getSeconds() < 10 ? '0'+date.getSeconds() : date.getSeconds());
    return Y+M+D+h+m+s;
}

