var routes = [
    //index
    {
        path: '/',
        url: './index.html',
        name: 'home',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    //登录
    {
        path: '/login/',
        url: './pages/login.html',
        on: {
            pageInit: function (event, page) {
                var u = USER_INFO.NAME || localStorage.getItem('NAME');
                var p = PASSWORD || localStorage.getItem('PASSWORD');
                $$('#USERNAME').val(u)
                $$('#PASSWORD').val(p)
            }
        }
    },
    // Components
    {
        path: '/gis/',
        componentUrl: './pages/gis.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                    $$(".text1").text("设备");
                    $$(".text2").text("产线");
                    $$(".text3").text("维保");
                    $$(".text4").text("消息");
                    $$(".text5").text("我的");
                    
                }
                
            }
        }
    },
    {
        path: '/produce/',
        componentUrl: './pages/produce.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
                
            }
        }
    },
    {
        name:'messages',
        path: '/message/',
        componentUrl: './pages/message.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
                
            }
        }
    },
    {
        path: '/my/',
        componentUrl: './pages/my.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
                
            }
        }
    },
    {
        path: '/produceScada/',
        url: './pages/produceScada.html',
        on: {
            pageInit: function (event, page) {
                var query = page.route.query;
                $$('#scadaIframe').attr('src', HOST + '/html/scada/runview.html?type=app&id=' + page.route.query.id)
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    /*device*/
    {
        path: '/deviceScada/',
        url: './pages/deviceScada.html',
        on: {
            pageInit: function (event, page) {
                //initMenu();
                var query = page.route.query;
                $$('.curr-device').text(query.pro_name)
                $$('#scadaIframe').attr('src', HOST + '/html/scada/runview.html?type=app&id=' + page.route.query.scada_id + '&pro_item_id=' + page.route.query.pro_item_id + '&device_id=' + page.route.query.device_id)
                $$('.url1').attr('href', '/deviceScada/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
                $$('.url2').attr('href', '/deviceMonitor/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
                $$('.url3').attr('href', '/deviceHistory/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
                $$('.url4').attr('href', '/deviceHistorywarning/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
                $$('.url5').attr('href', '/deviceControl/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
                $$('.url7').attr('href', '/deviceVideo/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)

                if(USER_INFO.APP_MENU.indexOf("6") < 0){ //无权限
                    $$('#scada').css('display','none');
                    $$('#scada-no-power').css('display','');
                    return;
                }
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/deviceVideo/',
        componentUrl: './pages/deviceVideo.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
        // on: {
        //     pageInit: function (event, page) {
        //         //initMenu();
        //         var query = page.route.query;
        //         $$('.curr-device').text(query.pro_name)
        //         $$('.url1').attr('href', '/deviceScada/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
        //         $$('.url2').attr('href', '/deviceMonitor/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
        //         $$('.url3').attr('href', '/deviceHistory/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
        //         $$('.url4').attr('href', '/deviceHistorywarning/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
        //         $$('.url5').attr('href', '/deviceControl/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
        //         $$('.url7').attr('href', '/deviceVideo/?device_id=' + query.device_id + '&pro_item_id=' + query.pro_item_id + '&scada_id=' + query.scada_id + '&pro_name=' + query.pro_name)
        //
        //         console.log(USER_INFO.APP_MENU.indexOf("7"))
        //         // if(USER_INFO.APP_MENU.indexOf("9") < 0){ //无权限
        //         //     $$('#scada').css('display','none');
        //         //     $$('#scada-no-power').css('display','');
        //         //     return;
        //         // }
        //     }
        // }
    },
    {
        path: '/deviceMonitor/',
        componentUrl: './pages/deviceMonitor.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/deviceHistory/',
        componentUrl: './pages/deviceHistory.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/deviceHistorywarning/',
        componentUrl: './pages/deviceHistorywarning.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/deviceControl/',
        componentUrl: './pages/deviceControl.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    /*device end*/
    {
        path: '/device_list/',
        url: './pages/deviceList.html',
        name: 'device_list',
        on: {
            pageInit: function () {
                getDevices();
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
                $$('.device-list').css('height',WIN_HEIGHT-142+'px')
                var STATUS = { //存放设备数据（按状态）
                    DEVICES: [
                        {status_c: "报警", status: 3, className: "text-red", children: [], search:false},
                        {status_c: "预警", status: 2, className: "text-orange", children: [], search:false},
                        {status_c: "在线", status: 1, className: "text-green", children: [], search:false},
                        {status_c: "离线", status: 0, className: "text-gray", children: [], search:false}
                    ]
                };

                var type = 'product';  //按产品、按状态
                //获取设备列表
                function getDevices(value) {
                    DEVICES = [];
                    var URL = '/?service=App.Product.DeviceListSearch';
                    if (typeof value !== 'undefined') {
                        URL += '&pro_name=' + value;
                    }
                    ajax(HOST + URL, 'GET', {}, function (data) {
                        for (var i = 0; i < data.data.length; i++) {
                            for (j = 0; j < data.data[i].children.length; j++) {
                                for (k = 0; k < STATUS.DEVICES.length; k++) {
                                    if (data.data[i].children[j].status == STATUS.DEVICES[k].status) {
                                        STATUS.DEVICES[k].children.push(data.data[i].children[j]);
                                    }
                                }
                                DEVICES.push(data.data[i].children[j]);
                            }
                        }

                        DATA = data;
                        var tpl_html = template('device-tpl', data); // default
                        document.getElementById('device-list-ul').innerHTML = tpl_html;

                    })
                }

                //产品、状态切换
                $$('#selectType').on('change', function (e) {
                    var tpl_html;
                    type = $$(this).val();
                    $$('#no-found').css('display','none');
                    if (type === 'product') {
                        tpl_html = template('device-tpl', DATA);
                    } else {
                        tpl_html = template('device-status-tpl', STATUS);
                    }
                    document.getElementById('device-list-ul').innerHTML = tpl_html;
                })



                var virtualList = app.virtualList.create({
                    // List Element
                    el: '.virtual-list',
                    // Pass array with items
                    items: DEVICES,
                    backdrop:false,
                    // Custom search function for searchbar
                    searchAll: function (query) {
                        $$('#no-found').css('display','none');
                        var STATUS_Found = {
                            DEVICES: [
                                {status_c: "报警", status: 3, className: "text-red", children: [], search:true},
                                {status_c: "预警", status: 2, className: "text-orange", children: [], search:true},
                                {status_c: "在线", status: 1, className: "text-green", children: [], search:true},
                                {status_c: "离线", status: 0, className: "text-gray", children: [], search:true}
                            ]
                        };
                        var STATUS_Found_Flag = false;  // 检索状态，是否有找到数据标志
                        var PRODUCT_Found = {
                            data:[]
                        }
                        var tpl_html;
                        if (type === 'status') {  // 检索，按状态
                            for (var i = 0; i < STATUS.DEVICES.length; i++) {
                                if (STATUS.DEVICES[i].status_c.indexOf(query.toLowerCase()) >= 0 || query.trim() === ''){
                                    STATUS_Found.DEVICES[i].children = STATUS.DEVICES[i].children;
                                    STATUS_Found_Flag = true;
                                }

                                for(var j in STATUS.DEVICES[i].children){
                                    if (STATUS.DEVICES[i].children[j].pro_name.indexOf(query.toLowerCase()) >= 0 || query.trim() === ''){
                                        STATUS_Found.DEVICES[i].children.push(STATUS.DEVICES[i].children[j]);
                                        STATUS_Found_Flag = true;
                                    }
                                }
                            }

                            if(STATUS_Found_Flag){
                                tpl_html = template('device-status-tpl', STATUS_Found);
                                document.getElementById('device-list-ul').innerHTML = tpl_html;
                            }else {
                                $$('#device-list-ul').empty();
                                $$('#no-found').css('display','');
                            }

                            return STATUS_Found;

                        } else {  // 检索，按产品
                            for (var i = 0; i < DATA.data.length; i++) {
                                if (DATA.data[i].pro_item_name.indexOf(query.toLowerCase()) >= 0 || query.trim() === ''){
                                    PRODUCT_Found.data.push(DATA.data[i]);
                                }
                                // for(var j in DATA.data[i].children){
                                //     if (DATA.data[i].children[j].pro_name.indexOf(query.toLowerCase()) >= 0 || query.trim() === ''){
                                //         PRODUCT_Found.data.push(DATA.data[i]);
                                //     }
                                // }
                            }

                            if(PRODUCT_Found.data.length > 0){
                                tpl_html = template('device-tpl', PRODUCT_Found);
                                document.getElementById('device-list-ul').innerHTML = tpl_html;
                            }else {
                                $$('#device-list-ul').empty();
                                $$('#no-found').css('display','');
                            }

                            return PRODUCT_Found;
                        }
                    },
                    height: app.theme === 'ios' ? 63 : 73,
                });

                $$('#deviceSearch').on('change', function () {  // 手动还原
                    var value = $$('#deviceSearch').val();
                    if(value.length < 1){
                        if (type === 'product') {
                            tpl_html = template('device-tpl', DATA);
                        } else {
                            tpl_html = template('device-status-tpl', STATUS);
                        }
                        document.getElementById('device-list-ul').innerHTML = tpl_html;
                    }
                })

                refreshUser()

            }
        }
    },
    {
        path: '/deviceListSearch/',
        url: './pages/deviceListSearch.html',
        name: 'deviceListSearch',
        on: {
            pageInit: function () {
                getDevices();
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
                $$('.device-list').css('height',WIN_HEIGHT-142+'px')
                var STATUS = { //存放设备数据（按状态）
                    DEVICES: [
                        {status_c: "报警", status: 3, className: "text-red", children: [], search:false},
                        {status_c: "预警", status: 2, className: "text-orange", children: [], search:false},
                        {status_c: "在线", status: 1, className: "text-green", children: [], search:false},
                        {status_c: "离线", status: 0, className: "text-gray", children: [], search:false}
                    ]
                };

                var type = 'product';  //按产品、按状态
                //获取设备列表
                function getDevices(value) {
                    DEVICES = [];
                    var URL = '/?service=App.Product.DeviceListSearch';
                    if (typeof value !== 'undefined') {
                        URL += '&pro_name=' + value;
                    }
                    ajax(HOST + URL, 'GET', {}, function (data) {
                        for (var i = 0; i < data.data.length; i++) {
                            for (j = 0; j < data.data[i].children.length; j++) {
                                for (k = 0; k < STATUS.DEVICES.length; k++) {
                                    if (data.data[i].children[j].status == STATUS.DEVICES[k].status) {
                                        STATUS.DEVICES[k].children.push(data.data[i].children[j]);
                                    }
                                }
                                DEVICES.push(data.data[i].children[j]);
                            }
                        }

                        DATA = data;
                        var tpl_html = template('device-tpl', data); // default
                        document.getElementById('device-list-ul').innerHTML = tpl_html;

                    })
                }

                //产品、状态切换
                $$('#selectType').on('change', function (e) {
                    var tpl_html;
                    type = $$(this).val();
                    $$('#no-found').css('display','none');
                    if (type === 'product') {
                        tpl_html = template('device-tpl', DATA);
                    } else {
                        tpl_html = template('device-status-tpl', STATUS);
                    }
                    document.getElementById('device-list-ul').innerHTML = tpl_html;
                })



                var virtualList = app.virtualList.create({
                    // List Element
                    el: '.virtual-list',
                    // Pass array with items
                    items: DEVICES,
                    backdrop:false,
                    // Custom search function for searchbar
                    searchAll: function (query) {
                        $$('#no-found').css('display','none');
                        var STATUS_Found = {
                            DEVICES: [
                                {status_c: "报警", status: 3, className: "text-red", children: [], search:true},
                                {status_c: "预警", status: 2, className: "text-orange", children: [], search:true},
                                {status_c: "在线", status: 1, className: "text-green", children: [], search:true},
                                {status_c: "离线", status: 0, className: "text-gray", children: [], search:true}
                            ]
                        };
                        var STATUS_Found_Flag = false;  // 检索状态，是否有找到数据标志
                        var PRODUCT_Found = {
                            data:[]
                        }
                        var tpl_html;
                        if (type === 'status') {  // 检索，按状态
                            for (var i = 0; i < STATUS.DEVICES.length; i++) {
                                if (STATUS.DEVICES[i].status_c.indexOf(query.toLowerCase()) >= 0 || query.trim() === ''){
                                    STATUS_Found.DEVICES[i].children = STATUS.DEVICES[i].children;
                                    STATUS_Found_Flag = true;
                                }

                                for(var j in STATUS.DEVICES[i].children){
                                    if (STATUS.DEVICES[i].children[j].pro_name.indexOf(query.toLowerCase()) >= 0 || query.trim() === ''){
                                        STATUS_Found.DEVICES[i].children.push(STATUS.DEVICES[i].children[j]);
                                        STATUS_Found_Flag = true;
                                    }
                                }
                            }

                            if(STATUS_Found_Flag){
                                tpl_html = template('device-status-tpl', STATUS_Found);
                                document.getElementById('device-list-ul').innerHTML = tpl_html;
                            }else {
                                $$('#device-list-ul').empty();
                                $$('#no-found').css('display','');
                            }
                            console.info('状态',STATUS_Found)

                            return STATUS_Found;

                        } else {  // 检索，按产品
                            
                            for (var i = 0; i < DATA.data.length; i++) {
                                if (DATA.data[i].pro_item_name.indexOf(query.toLowerCase()) >= 0 || query.trim() === ''){
                                    PRODUCT_Found.data.push(DATA.data[i]);
                                }
                                console.info('设备1',PRODUCT_Found.data)
                                // for(var j in DATA.data[i].children){
                                //     if (DATA.data[i].children[j].pro_name.indexOf(query.toLowerCase()) >= 0 || query.trim() === ''){
                                //         PRODUCT_Found.data.push(DATA.data[i]);
                                //     }
                                // }
                                // console.info('设备2',PRODUCT_Found.data)
                            }

                            if(PRODUCT_Found.data.length > 0){
                                tpl_html = template('device-tpl', PRODUCT_Found);
                                document.getElementById('device-list-ul').innerHTML = tpl_html;
                            }else {
                                $$('#device-list-ul').empty();
                                $$('#no-found').css('display','');
                            }
                            console.info('产品',PRODUCT_Found)
                            return PRODUCT_Found;
                        }
                    },
                    height: app.theme === 'ios' ? 63 : 73,
                });

                $$('#deviceSearch').on('change', function () {  // 手动还原
                    var value = $$('#deviceSearch').val();
                    if(value.length < 1){
                        if (type === 'product') {
                            tpl_html = template('device-tpl', DATA);
                        } else {
                            tpl_html = template('device-status-tpl', STATUS);
                        }
                        document.getElementById('device-list-ul').innerHTML = tpl_html;
                    }
                })
                $$("#back").on('click',function(){
                    mainView.router.back();
                })

                refreshUser()

            }
        }
    },
    {
        path: '/filter/',
        componentUrl: './pages/filter.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/maintenance/',
        componentUrl: './pages/maintenance.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/maintenanceDetails/',
        componentUrl: './pages/maintenanceDetails.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/maintenanceNew/',
        componentUrl: './pages/maintenanceNew.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/maintenanceProgress/',
        componentUrl: './pages/maintenanceProgress.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/maintainNotice/',
        componentUrl: './pages/maintainNotice.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/maintainDetail/',
        componentUrl: './pages/maintainDetail.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/workList/',
        componentUrl: './pages/workList.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/maintenanceWarning/',
        componentUrl: './pages/maintenanceWarning.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/maintainOrder/',
        componentUrl: './pages/maintainOrder.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/maintainDetailList/',
        componentUrl: './pages/maintainDetailList.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/knowledge/',
        componentUrl: './pages/knowledge.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/knowledgeDetails/',
        componentUrl: './pages/knowledgeDetails.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/knowledgeNew/',
        componentUrl: './pages/knowledgeNew.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/knowledgeCategory/',
        componentUrl: './pages/knowledgeCategory.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/policy/',
        componentUrl: './pages/policy.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    // Color Themes
    {
        path: '/color-themes/',
        componentUrl: './pages/color-themes.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },

    {
        path: '/infinite-scroll/',
        componentUrl: './pages/infinite-scroll.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },

    // Page Loaders
    {
        path: '/page-loader-template7/:user/:userId/:posts/:postId/',
        templateUrl: './pages/page-loader-template7.html',
        // additional context
        options: {
            context: {
                foo: 'bar',
            },
        },
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },
    {
        path: '/page-loader-component/:user/:userId/:posts/:postId/',
        componentUrl: './pages/page-loader-component.html',
        // additional context
        options: {
            context: {
                foo: 'bar',
            },
        },
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },

    // Default route (404 page). MUST BE THE LAST
    {
        path: '(.*)',
        url: './pages/404.html',
        on: {
            pageInit: function (event, page) {
                if(localStorage.lang=='en'){
                    languageChange($$("html"))
                }else{
                    console.info("中文显示")
                }
            }
        }
    },

];
